## net.i2p.router.networkdb.kademlia
Class TransientDataStore

    java.lang.Object
      net.i2p.router.networkdb.kademlia.TransientDataStore

All Implemented Interfaces:
  DataStore

Direct Known Subclasses:
  PersistentDataStore

class TransientDataStore
extends java.lang.Object
implements DataStore

Field Summary
`protected RouterContext` `_context`

Constructor Summary
`TransientDataStore(RouterContext ctx)`

Method Summary
`int` `countLeaseSets()`
`boolean` `equals(java.lang.Object obj)`
`DataStructure` `get(Hash key)`
`java.util.Set` `getKeys()`
`int` `hashCode()`
`boolean` `isKnown(Hash key)`
`void` `put(Hash key, DataStructure data)`
`DataStructure` `remove(Hash key)`
`void` `restart()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### _context

    protected RouterContext _context

Constructor Detail

### TransientDataStore

    public TransientDataStore(RouterContext ctx)

Method Detail

### restart

    public void restart()

  Specified by:
    `restart` in interface `DataStore`

### getKeys

    public java.util.Set getKeys()

  Specified by:
    `getKeys` in interface `DataStore`

### get

    public DataStructure get(Hash key)

  Specified by:
    `get` in interface `DataStore`

### isKnown

    public boolean isKnown(Hash key)

  Specified by:
    `isKnown` in interface `DataStore`

### countLeaseSets

    public int countLeaseSets()

  Specified by:
    `countLeaseSets` in interface `DataStore`

### put

    public void put(Hash key,
                    DataStructure data)

  Specified by:
    `put` in interface `DataStore`

### hashCode

    public int hashCode()

### equals

    public boolean equals(java.lang.Object obj)

### toString

    public java.lang.String toString()

### remove

    public DataStructure remove(Hash key)

  Specified by:
    `remove` in interface `DataStore`